package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 提现记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-25
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvDrawCashRecordDao;
import com.heyu.api.data.entity.vv.VvDrawCashRecordEntity;
import com.heyu.api.data.service.vv.VvDrawCashRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvDrawCashRecordServiceImpl extends ServiceImpl<VvDrawCashRecordDao, VvDrawCashRecordEntity> implements VvDrawCashRecordService {


    @Autowired
	private VvDrawCashRecordDao vvDrawCashRecordDao;



	@Override
	public VvDrawCashRecordEntity selectVvDrawCashRecordById(Long id){
		return vvDrawCashRecordDao.selectVvDrawCashRecordById(id);
	}



	@Override
	public Long insertVvDrawCashRecord(VvDrawCashRecordEntity vvDrawCashRecord){
		return vvDrawCashRecordDao.insertVvDrawCashRecord(vvDrawCashRecord);
	}



	@Override
	public Long insertOrUpdateVvDrawCashRecord(VvDrawCashRecordEntity vvDrawCashRecord){
		return vvDrawCashRecordDao.insertOrUpdateVvDrawCashRecord(vvDrawCashRecord);
	}



	@Override
	public int updateVvDrawCashRecordById(VvDrawCashRecordEntity vvDrawCashRecord){
		return vvDrawCashRecordDao.updateVvDrawCashRecordById(vvDrawCashRecord);
	}



	@Override
	public int updateCoverVvDrawCashRecordById(VvDrawCashRecordEntity vvDrawCashRecord){
		return vvDrawCashRecordDao.updateCoverVvDrawCashRecordById(vvDrawCashRecord);
	}



	@Override
	public int deleteVvDrawCashRecordById(Long id){
		return vvDrawCashRecordDao.deleteVvDrawCashRecordById(id);
	}



}
